"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAggregate = void 0;

var _useAggregateEvents2 = require("./useAggregateEvents");

var useAggregate = function useAggregate(eventStore, aggregateId) {
  var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
      maxVersion = _ref.maxVersion;

  var _useAggregateEvents = (0, _useAggregateEvents2.useAggregateEvents)(eventStore, aggregateId, {
    maxVersion: maxVersion
  }),
      events = _useAggregateEvents.events;

  var aggregate = eventStore.buildAggregate(events);
  var lastEvent = events[events.length - 1];
  return {
    aggregate: aggregate,
    events: events,
    lastEvent: lastEvent
  };
};

exports.useAggregate = useAggregate;
//# sourceMappingURL=useAggregate.js.map