"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ReduxEventStorageAdapter: true,
  configureCastore: true,
  getCastoreReducers: true
};
Object.defineProperty(exports, "ReduxEventStorageAdapter", {
  enumerable: true,
  get: function get() {
    return _adapter.ReduxEventStorageAdapter;
  }
});
Object.defineProperty(exports, "configureCastore", {
  enumerable: true,
  get: function get() {
    return _configureCastore.configureCastore;
  }
});
Object.defineProperty(exports, "getCastoreReducers", {
  enumerable: true,
  get: function get() {
    return _getCastoreReducers.getCastoreReducers;
  }
});

var _adapter = require("./adapter");

var _hooks = require("./hooks");

Object.keys(_hooks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _hooks[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _hooks[key];
    }
  });
});

var _configureCastore = require("./configureCastore");

var _getCastoreReducers = require("./getCastoreReducers");

var _errors = require("./errors");

Object.keys(_errors).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _errors[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _errors[key];
    }
  });
});
//# sourceMappingURL=index.js.map