"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseAppliedListAggregateIdsOptions = void 0;

var parseAppliedListAggregateIdsOptions = function parseAppliedListAggregateIdsOptions(_ref) {
  var _inputOptions$limit, _inputOptions$initial, _inputOptions$initial2, _inputOptions$reverse;

  var inputOptions = _ref.inputOptions,
      inputPageToken = _ref.inputPageToken;
  var prevOptions = {};

  if (typeof inputPageToken === 'string') {
    try {
      prevOptions = JSON.parse(inputPageToken);
    } catch (error) {
      throw new Error('Invalid page token');
    }
  }

  return {
    limit: (_inputOptions$limit = inputOptions === null || inputOptions === void 0 ? void 0 : inputOptions.limit) !== null && _inputOptions$limit !== void 0 ? _inputOptions$limit : prevOptions.limit,
    initialEventAfter: (_inputOptions$initial = inputOptions === null || inputOptions === void 0 ? void 0 : inputOptions.initialEventAfter) !== null && _inputOptions$initial !== void 0 ? _inputOptions$initial : prevOptions.initialEventAfter,
    initialEventBefore: (_inputOptions$initial2 = inputOptions === null || inputOptions === void 0 ? void 0 : inputOptions.initialEventBefore) !== null && _inputOptions$initial2 !== void 0 ? _inputOptions$initial2 : prevOptions.initialEventBefore,
    reverse: (_inputOptions$reverse = inputOptions === null || inputOptions === void 0 ? void 0 : inputOptions.reverse) !== null && _inputOptions$reverse !== void 0 ? _inputOptions$reverse : prevOptions.reverse,
    exclusiveStartKey: prevOptions.lastEvaluatedKey
  };
};

exports.parseAppliedListAggregateIdsOptions = parseAppliedListAggregateIdsOptions;
//# sourceMappingURL=parseAppliedListAggregateIdsOptions.js.map