import { useAggregateEvents } from "./useAggregateEvents";
export var useAggregate = function useAggregate(eventStore, aggregateId) {
  var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
      maxVersion = _ref.maxVersion;

  var _useAggregateEvents = useAggregateEvents(eventStore, aggregateId, {
    maxVersion: maxVersion
  }),
      events = _useAggregateEvents.events;

  var aggregate = eventStore.buildAggregate(events);
  var lastEvent = events[events.length - 1];
  return {
    aggregate: aggregate,
    events: events,
    lastEvent: lastEvent
  };
};
//# sourceMappingURL=useAggregate.js.map