export declare type ParsedPageToken = {
    limit?: number;
    initialEventAfter?: string | undefined;
    initialEventBefore?: string | undefined;
    reverse?: boolean | undefined;
    lastEvaluatedKey?: {
        aggregateId: string;
        initialEventTimestamp: string;
    } | undefined;
};
export declare const parseAppliedListAggregateIdsOptions: ({ inputOptions, inputPageToken, }: {
    inputOptions?: Omit<ParsedPageToken, "lastEvaluatedKey"> | undefined;
    inputPageToken?: string | undefined;
}) => Omit<ParsedPageToken, 'lastEvaluatedKey'> & {
    exclusiveStartKey?: ParsedPageToken['lastEvaluatedKey'];
};
//# sourceMappingURL=parseAppliedListAggregateIdsOptions.d.ts.map