"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReduxEventStorageAdapterNotFoundError = void 0;

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _wrapNativeSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/wrapNativeSuper"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var ReduxEventStorageAdapterNotFoundError = /*#__PURE__*/function (_Error) {
  (0, _inherits2["default"])(ReduxEventStorageAdapterNotFoundError, _Error);

  var _super = _createSuper(ReduxEventStorageAdapterNotFoundError);

  function ReduxEventStorageAdapterNotFoundError(_ref) {
    var _this;

    var eventStoreId = _ref.eventStoreId;
    (0, _classCallCheck2["default"])(this, ReduxEventStorageAdapterNotFoundError);
    _this = _super.call(this, "Unable to find ReduxEventStorageAdapter for event store ".concat(eventStoreId));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "eventStoreId", void 0);
    _this.eventStoreId = eventStoreId;
    return _this;
  }

  return (0, _createClass2["default"])(ReduxEventStorageAdapterNotFoundError);
}( /*#__PURE__*/(0, _wrapNativeSuper2["default"])(Error));

exports.ReduxEventStorageAdapterNotFoundError = ReduxEventStorageAdapterNotFoundError;
//# sourceMappingURL=reduxEventStorageAdapterNotFound.js.map