"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReduxStateNotFoundError = void 0;

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _wrapNativeSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/wrapNativeSuper"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var ReduxStateNotFoundError = /*#__PURE__*/function (_Error) {
  (0, _inherits2["default"])(ReduxStateNotFoundError, _Error);

  var _super = _createSuper(ReduxStateNotFoundError);

  function ReduxStateNotFoundError(_ref) {
    var _this;

    var eventStoreSliceName = _ref.eventStoreSliceName;
    (0, _classCallCheck2["default"])(this, ReduxStateNotFoundError);
    _this = _super.call(this, "Unable to find redux slice at path ".concat(eventStoreSliceName));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "eventStoreSliceName", void 0);
    _this.eventStoreSliceName = eventStoreSliceName;
    return _this;
  }

  return (0, _createClass2["default"])(ReduxStateNotFoundError);
}( /*#__PURE__*/(0, _wrapNativeSuper2["default"])(Error));

exports.ReduxStateNotFoundError = ReduxStateNotFoundError;
//# sourceMappingURL=reduxStateNotFound.js.map