import _createClass from "@babel/runtime/helpers/createClass";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _wrapNativeSuper from "@babel/runtime/helpers/wrapNativeSuper";
import _defineProperty from "@babel/runtime/helpers/defineProperty";

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

export var ReduxEventStorageAdapterNotFoundError = /*#__PURE__*/function (_Error) {
  _inherits(ReduxEventStorageAdapterNotFoundError, _Error);

  var _super = _createSuper(ReduxEventStorageAdapterNotFoundError);

  function ReduxEventStorageAdapterNotFoundError(_ref) {
    var _this;

    var eventStoreId = _ref.eventStoreId;

    _classCallCheck(this, ReduxEventStorageAdapterNotFoundError);

    _this = _super.call(this, "Unable to find ReduxEventStorageAdapter for event store ".concat(eventStoreId));

    _defineProperty(_assertThisInitialized(_this), "eventStoreId", void 0);

    _this.eventStoreId = eventStoreId;
    return _this;
  }

  return _createClass(ReduxEventStorageAdapterNotFoundError);
}( /*#__PURE__*/_wrapNativeSuper(Error));
//# sourceMappingURL=reduxEventStorageAdapterNotFound.js.map