import { eventAlreadyExistsErrorCode, EventAlreadyExistsError } from '@castore/core';
export declare class ReduxStoreEventAlreadyExistsError extends Error implements EventAlreadyExistsError {
    code: typeof eventAlreadyExistsErrorCode;
    eventStoreId?: string;
    aggregateId: string;
    version: number;
    constructor({ eventStoreId, aggregateId, version, }: {
        eventStoreId?: string;
        aggregateId: string;
        version: number;
    });
}
//# sourceMappingURL=reduxStoreEventAlreadyExists.d.ts.map